API Reference
Create or update visual presets atomically; supports dry run.
Authorization
ApiKeyAuth Authorization<token>
Use Bearer br_live_....
In: header
Path Parameters
projectId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/visuals/apply" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "id": "string", "at": 0, "duration": 1, "preset": "broll-headline", "text": "string", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8" } ], "expectedRevision": 0, "dryRun": true }'{ "success": true, "dryRun": true, "revision": 0, "mutationReceiptId": "string", "replayed": true, "items": [ { "id": "string", "timelineItemId": "5c036d70-e46e-49a5-ab8e-bcdb2496bd8d", "contentItemId": "1fc059aa-e013-431b-abf9-93fd7236b54b", "compositionId": "029ddfe7-7740-40bd-98d7-6bf1dddf345e", "status": "created" } ], "warnings": [ "string" ]}Render and visually analyze one or more project frames POST
Render and visually analyze one or more project frames.
Schedule an X, LinkedIn or Threads post POST
Schedule text or a completed project export. X is text-only and requires verified free API access. LinkedIn publishes to the authorized member profile. Requires Idempotency-Key; replay with the same key and input to recover the original receipt.